Archives du mot-clé mise à jour

wplogo

Fin des vacances!

WP
Et voilà, de retour sur notre bonne vieille Terre! Non! je vous rassure, je ne suis pas un extra-terrestre, je ne suis pas parti bien loin non plus, mais des fois, il y a des endroits qui vous dépaysent tellement que cela vous donne l’impression d’être sur une autre planète!
En attendant, après l’avoir délaissé pendant quelques jours, le retour dans l’inframonde est brutal! Passage à la version 2.8.1 puis aussitôt à la 2.8.2 (J’avais juré que je resterai à la version 2.7 mais des promesses alléchantes de gains de mémoire (réelles ma Foi!) m’ont convaincu!). Pas moins de sept extensions réclamaient elles aussi une mise à jour. Je ne pouvais pas faire moins que de me plier promptement à cette tâche au cas où…

Bref, deux heures occupées (pour ne pas dire perdues) par la technique! Blog, quand tu nous tiens!

Passage à WordPress 2.7

Wordpress

    Cette nuit, je suis passé à la version 2.7 de WordPress.
    Il s’agit de la version RC1 couplée avec la traduction de Yin Yin. Encore une fois, aucune grosse difficulté(1). La refonte de la partie administration demande un peu d’adaptation pour la prise en main, mais ça donne un petit côté « bien fini » voire professionnel qui me plait.
    Au titre des nouveautés de la partie Admin, j’ai bien apprécié l’ajout du module « Press-minute » qui permet de noter à la volée les idées!

Par contre je rencontre deux bugs dans des extensions dont je me sers régulièrement (WordPress Download Monitor et Post template ). Les deux applications affichent ostensiblement un message d’alerte similaire: « Warning: extract() [function.extract]: First argument should be an array in… ». Le problème est connu au moins pour Post Template, la question étant sur le forum de son créateur. Il s’agit donc vraisemblablement d’une modification du code PHP de WP, mais c’est technique, « c’est pas moi qui m’en occupons! ». De toute façon, je n’ai pas le temps de me pencher dessus! Cela dit, cela ne les empêche pas de fonctionner!

  1. Juste la partie Post.php qui affiche un message d’erreur: Warning: is_file() [function.is-file]: open_basedir restriction in effect. File(/fr.js) is not within the allowed path(s) []

Passage à WordPress 2.6

[singlepic=657,111,125,,left]Grosse frayeur lors du passage à la version 2.6! Alors que FREE, mon fournisseur d’accès ne m’avait jamais posé de difficultés à ce sujet jusqu’à présent, je me suis retrouvé avec une belle « erreur 500″, problème au niveau du serveur. J’ai vite compris au niveau du nombre de réponses à ma question sur internet que je n’étais pas le seul dans ce cas! Comme j’oublie souvent comment je solutionne tel ou tel problème, j’ai résumé sur une page statique la manipulation à faire! ça pourra peut être servir à d’autres!

A part celà, aucun problème lors de l’installation. WordPress est maintenant bien rodé, et moi aussi! La question reste de savoir s’il faut suivre les mises à jour systématiquement ou non. En fait la version 2.6 n’apporte que peu de changements visibles si ce n’est au niveau de la console d’administration. J’avoue que c’est toujours un moment de stress que de se demander si son Blog va redémarrer convenablement après chaque modification, si les extensions seront compatibles… A vous de juger!